library nektor.widgets.input;

import 'package:flutter/material.dart';

/// TextInputContainer - Wraps a TextFormField into a Container
class TextInputContainer extends StatelessWidget {
  TextInputContainer(
      {this.title,
      this.controller,
      this.validator,
      this.obscureText = false,
      // ignore: non_constant_default_value
      this.padding = EdgeInsets.all(15),
      this.contentPadding,
      // ignore: non_constant_default_value
      this.textBorder = OutlineInputBorder(),
      this.enabled = true});

  final String title;
  final TextEditingController controller;
  final bool obscureText;
  final FormFieldValidator<String> validator;
  final EdgeInsets padding;
  final EdgeInsetsGeometry contentPadding;
  final InputBorder textBorder;
  final bool enabled;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: padding,
      child: TextFormField(
        decoration: InputDecoration(
          labelText: title,
          border: textBorder,
          contentPadding: contentPadding,
        ),
        controller: controller,
        validator: validator,
        obscureText: obscureText,
        enabled: enabled,
      ),
    );
  }
}
